Phone & voice · Phone Numbers

Check portability

Checks a portability without changing anything.

POSThttps://api.pozy.ai/v1/phone-numbers/port-in/check
checkPhoneNumberPortability

Guides: Port a number in, Phone numbers

Request

Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication

Request body

application/json, required

  • phoneNumbersarray of stringrequired

    At least 1 item. Up to 50 items.

  • claimLinksboolean

Example

curl -X POST "https://api.pozy.ai/v1/phone-numbers/port-in/check" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "phoneNumbers": [
    "+14155550123"
  ]
}'

Response

200 on success

  • resultsarray of object
    11 child fields
    • phoneNumberstring
    • portableboolean
    • fastPortableboolean
    • messagingCapableboolean

      Can be null.

    • lineTypestring

      Can be null.

    • carrierNamestring

      Can be null.

    • countryCodestring

      Can be null.

    • phoneNumberTypestring

      Can be null.

    • notPortableReasonstring

      Can be null.

    • claimIdstring
    • claimUrlstring
200 response
{
  "results": [
    {
      "phoneNumber": "+14155550123",
      "portable": true,
      "fastPortable": true,
      "messagingCapable": true,
      "lineType": "string",
      "carrierName": "Acme",
      "countryCode": "US",
      "phoneNumberType": "+14155550123",
      "notPortableReason": "string",
      "claimId": "64d7462a13b28690b007b884",
      "claimUrl": "https://pozy.ai/media/example-1.jpg"
    }
  ]
}

Errors

Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:

400invalid_request_errorA parameter or body field is missing or invalid. param names it.
401authentication_errorThe API key is missing, revoked or expired.
403permission_errorThe key is read-only, scoped to other profiles, or has this resource group disabled.
429rate_limit_errorToo many requests this minute. Wait for Retry-After seconds.

Every code is listed in Errors.

More in Phone Numbers